$(document).ready(function() {

	var _gameErrorCount = 7; // Число допустимых ошибок
	var _lifeCount = 5; // Кол-во жизней за игру 
	var _gameWordCount = word.length; // Всего слов
	var _gameCurrentWord; // Отгадываемое слово
	var _gameLengthCurrentWord; // Длина отгадываемого слова
	var _gameCurrentErrorCount; // Число попыток
	var _gameCorrectLetterCount = 0; // Число правильно отгаданных букв
	var _lifeСurrentCount; //Текущее число жизней
	var _winCount = 1;
	var n=1;
	var EndScore = 0;
	var music = 1;
	
	gameIn();
	
	$('#sound').click(function() {
		$(this).removeClass();
		if (music == 1) {
			music = 0;
			$(this).addClass('musicOff');
			$(this).attr({ title: "Включить звуки" });
		}
		else {
			music = 1;
			$('#sound').addClass('musicOn');
			$(this).attr({ title: "Выключить звуки" });
		}
	})

	$('.key span').click(function() {
		if (music == 1)	audioClick.play(); 
		
		// Прячем нажатую букву
		$(this).addClass('hide');
		
		// Получаем нажатую букву
		currentLetter = $(this).text();
		
		// Проверяем, есть ли такая буква в слове
		isLetter = 0;
		for (i=0; i<_gameLengthCurrentWord; i++) {
			// Да, такая буква есть в слове
			if (_gameCurrentWord[i] == currentLetter.toLowerCase()) {
				// Выводим букву в поле
				$('.b'+i).text(currentLetter); 
				// Меняем цвет
				$('.b'+i).addClass('true'); 
				isLetter = 1;
				// Увеличиваем число правильно отгаданных букв
				_gameCorrectLetterCount++;
				
				// Все буквы отгаданы
				if (_gameCorrectLetterCount == _gameLengthCurrentWord) {
					$('#score').text(Score(_winCount));
					setTimeout(NextWord, 2000);
				}
			}			
		}
		
		// Нет такой буквы
		if (!isLetter) {
			// Уменьшаем число попыток
			_gameCurrentErrorCount--;
			
			moveZombie();
			
			$('#count').text(_gameCurrentErrorCount);
				
			// Попытки закончились, game over
			if (_gameCurrentErrorCount <= 0) {
					gameOver();
					 

			}
		}
		});

	// Инициализация игры
	
	function gameIn() {
		_gameCurrentErrorCount = _gameErrorCount; // Обновляем счётчик ошибок
		_gameCorrectLetterCount = 0;
		_lifeCurrentCount=_lifeCount;
		$('#word').text(''); // Стираем предыдущее слово
		$('.key span').removeClass('hide'); // Показываем все буквы
	
		// Получаем случайное слово	
		index = Math.floor((Math.random() * _gameWordCount));
		_gameCurrentWord = word[index][0];

		// Выводим число попыток
		$('#count').text(_gameErrorCount);
		$('#lifes').text(_lifeCurrentCount);
		
		// Количество букв в выбранном слове
		_gameLengthCurrentWord = _gameCurrentWord.length;
		
		// Выводим поля для отображения букв
		for (i=0; i<_gameLengthCurrentWord; i++) {
			$('#word').append('<div class="letter b' + i + '">?</div>');
		}
		for (i=0; i<_lifeCount; i++) {
			$('#life').append('<img src="../assets/img/heart.png" width="30" height="26" alt="" class="heart" id="a' + i + '">');
		}
		
		// Добавляем звук щелчка
		audioClick = document.createElement('audio');
		audioClick.setAttribute('src', '../assets/sound/click.mp3');

		// Добавляем звук зомби
		audioZombie = document.createElement('audio');
		audioZombie.setAttribute('src', '../assets/sound/zombie.mp3');

		// Потеряли одну жизнь
		audioLife = document.createElement('audio');
		audioLife.setAttribute('src', '../assets/sound/game-over.mp3');
		
	}
	
	
	
	// Процесс
	function NextWord() {
		moveZombie(0);
		_winCount++;
		 _gameCurrentErrorCount = _gameErrorCount; // Обновляем счётчик ошибок
		_gameCorrectLetterCount = 0;
		$('#word').text(''); // Стираем предыдущее слово
		$('.key span').removeClass('hide'); // Показываем все буквы
	
		// Получаем случайное слово	
		index = Math.floor((Math.random() * _gameWordCount));
		_gameCurrentWord = word[index][0];
		console.log(_gameCurrentWord);

		// Выводим число попыток
		$('#count').text(_gameCurrentErrorCount);
		$('#lifes').text(_lifeCurrentCount);
		
		// Количество букв в выбранном слове
		_gameLengthCurrentWord = _gameCurrentWord.length;
		
		// Выводим поля для отображения букв
		for (i=0; i<_gameLengthCurrentWord; i++) {
			$('#word').append('<div class="letter b' + i + '">?</div>');
			if (_gameCurrentErrorCount == 0) {
				gameOver();
			}
		}	
	}


	// Игра окончена
	
	function gameOver() {
		// Показываем слово
		for (i=0; i<_gameLengthCurrentWord; i++) {
			// Выводим букву в поле
			$('.b'+i).text(_gameCurrentWord[i].toUpperCase()); 
			// Меняем цвет
			$('.b'+i).addClass('true'); 
			
		}
		mustdie();
	}

	function mustdie() {
		_winCount=0;
		_lifeCurrentCount--;
		$("#a"+_lifeCurrentCount).fadeOut(1000);
		if (music == 1)	audioLife.play(); 

		$('#lifes').text(_lifeCurrentCount);
		if (_lifeCurrentCount<=0) {
			//setTimeout(NextWord, 2000);
			document.location="/#/gameover";
		}
		else {
			 setTimeout(NextWord, 2000);
		}
	}

	function Score() {
		EndScore=EndScore+_winCount*10;
		return EndScore
	}

	/*function Score(_winCount) {
		EndScore=0;
		winScore=0;
		for (i=0; i<_winCount; i++) {
			 winScore+=10;
			 EndScore=EndScore+winScore;
		}
	return EndScore
	}
	*/
	
	function moveZombie(restart) {
		if (_gameCurrentErrorCount <=0 || restart == 0) { topZ = '-250px'; }
		else { 
			if (music == 1)	audioZombie.play(); 
			topZ = -250 + 55*(7 - _gameCurrentErrorCount) + 'px'; 
		}
		$('.zombie').animate({ top: topZ}, 1000);
	}
	
	
});